import React, { useState, useEffect } from 'react';
import OrderIndexItem from './OrderIndexItem';
import { connect } from "react-redux";
import { fetchOrders } from '../../actions/order_actions';

const OrderIndex = ({ orders, fetchOrders }) => {
  const [fetchAttempted, setFetchAttempted] = useState(false);

  useEffect(() => {
    if (!fetchAttempted) {
      setFetchAttempted(true);
      fetchOrders();
    }
  }, [fetchOrders, fetchAttempted])

  return (
    <div>
      <h1>Order Index</h1>
      {orders.allIds.map(orderId => {
        const order = orders.byId[orderId];
        return <OrderIndexItem key={order.id} order={order} />
      })}
    </div>
  )

}

const mapStateToProps = (state) => ({
  orders: state.entities.orders,
})

const mapDispatchToProps = dispatch => ({
  fetchOrders: () => dispatch(fetchOrders()),
})

export default connect(mapStateToProps, mapDispatchToProps)(OrderIndex)
