package com.ascendfinalproject.warehouse.controllers;

import com.ascendfinalproject.warehouse.models.WarehouseOrder;
import com.ascendfinalproject.warehouse.services.WarehouseOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping(value = "/api")
public class WarehouseController {

  @Autowired
  WarehouseOrderService orderService;

  @GetMapping(value = "/orders")
  public Flux<WarehouseOrder> getOrders() {
    return orderService.getOrders();
  }

  @PostMapping(value = "/orders")
  public Mono<WarehouseOrder> createOrder(@RequestBody WarehouseOrder order) {
    return orderService.createOrder(order);
  }

}
